## chromium

chromium — Chromium breaks the colors of the video signal.

## Properties

gboolean | silent | Read / Write
guint | edge-a | Read / Write
guint | edge-b | Read / Write

## Types and Values

typedef | GstChromium

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstChromium

## Description

Chromium breaks the colors of a video stream in realtime.

### Example launch line

    1

    gst-launch -v videotestsrc ! chromium ! videoconvert ! autovideosink

This pipeline shows the effect of chromium on a test stream

## Synopsis

### Element Information

plugin | gaudieffects
author | Luis de Bethencourt <luis@debethencourt.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### GstChromium

    typedef struct GstChromium      GstChromium;

## Property Details

### The `“silent”` property

      “silent”                   gboolean

Produce verbose output ?.

Flags: Read / Write

Default value: FALSE

### The `“edge-a”` property

      “edge-a”                   guint

First edge parameter.

Flags: Read / Write

Allowed values: <= 256

Default value: 200

### The `“edge-b”` property

      “edge-b”                   guint

Second edge parameter.

Flags: Read / Write

Allowed values: <= 256

Default value: 1